Package com.xebialabs.xlrelease.domain.events

# Class TaskCopiedFromEvent$

java.lang.Object
scala.runtime.AbstractFunction3<Task,String,String,TaskCopiedFromEvent>
com.xebialabs.xlrelease.domain.events.TaskCopiedFromEvent$

All Implemented Interfaces:
  `Serializable`, `scala.Function3<Task,String,String,TaskCopiedFromEvent>`

public class TaskCopiedFromEvent$ extends scala.runtime.AbstractFunction3<Task,String,String,TaskCopiedFromEvent> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TaskCopiedFromEvent$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskCopiedFromEvent$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TaskCopiedFromEvent`
  `apply(Task taskCopied, String sourceContainerType, String sourceContainerTitle)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple3<Task,String,String>>`
  `unapply(TaskCopiedFromEvent x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction3

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final TaskCopiedFromEvent$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### TaskCopiedFromEvent$

    public TaskCopiedFromEvent$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function3<Task,String,String,TaskCopiedFromEvent>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction3<Task,String,String,TaskCopiedFromEvent>`

  - ### apply

    public TaskCopiedFromEvent apply(Task taskCopied, String sourceContainerType, String sourceContainerTitle)
    Specified by:
      `apply` in interface `scala.Function3<Task,String,String,TaskCopiedFromEvent>`

  - ### unapply

    public scala.Option<scala.Tuple3<Task,String,String>> unapply(TaskCopiedFromEvent x$0)